<script setup lang="ts">
import type { Component } from 'vue';

defineProps<{ is: Component; condition: boolean; elseClass?: string }>();
</script>

<template>
  <component :is="is" v-if="condition" v-motion-fade />
  <component :is="is" v-else :class="elseClass" v-motion-fade />
</template>
